#! /bin/sh

SIZE=$(echo `wc -c < tests/insmod/02simple.sh`)
# Old options are ignored.
[ "`insmod -p tests/insmod/02simple.sh`" = "INIT_MODULE: $SIZE " ]
[ "`insmod -s tests/insmod/02simple.sh`" = "INIT_MODULE: $SIZE " ]
[ "`insmod -f tests/insmod/02simple.sh`" = "INIT_MODULE: $SIZE " ]
[ "`insmod -p -f -s tests/insmod/02simple.sh`" = "INIT_MODULE: $SIZE " ]

# --version and -v
VERSION=`grep ^VERSION Makefile | sed 's/.*=[ 	]*//'`
[ "`insmod -V`" = "module-init-tools version $VERSION" ]
[ "`insmod --version`" = "module-init-tools version $VERSION" ]
